import org.junit.Test;
import java.time.LocalDate;
import static org.junit.Assert.*;

public class TestPerson {

    String name = "Michael";
    LocalDate birthday = LocalDate.of(1958, 06, 03);
    Person.Sex gender = Person.Sex.MALE;
    String emailAddress = "BuilderMichael@communitybuilders.com";

    @Test
    public void testName(){
        Person person = new Person();
        String expected = "Michael";
        person.setName(expected);
        String actual = person.getName();
        assertEquals(expected, actual);
    }

    @Test
    public void testBirthday(){
        Person person = new Person();
        LocalDate expected = LocalDate.of(1958, 06, 03);
        person.setBirthday(expected);
        LocalDate actual = person.getBirthday();
        assertEquals(expected, actual);
    }

    @Test
    public void testAge(){

        LocalDate birthday = LocalDate.of(1958, 06, 03);
        Person person = new Person();
        int expected = 60;
        int actual = person.getAge(birthday);
        assertEquals(expected, actual);
    }

    @Test
    public void testGender(){
        Person person = new Person();
        Person.Sex expected = Person.Sex.MALE;
        person.setGender(expected);
        Person.Sex actual = person.getGender();
        assertEquals(expected, actual);
    }

    @Test
    public void testEmail(){
        Person person = new Person();
        String expected = "BuilderMichael@communitybuilders.com";
        person.setEmailAddress(expected);
        String actual = person.getEmailAddress();
        assertEquals(expected, actual);
    }

    @Test
    public void testPrintPerson(){
        Person person = new Person();
        String name = "Michael";
        LocalDate birthday = LocalDate.of(1958, 06, 03);
        Person.Sex gender = Person.Sex.MALE;
        String expected = "Michael, 60, MALE";
        String actual = person.printPerson();
        assertEquals(expected, actual);
    }

}//end of Test Class
